<?php

namespace Drupal\entityreference_modal_create\Event;
use Symfony\Component\EventDispatcher\Event;

/**
 * Event that is fired when an entity is added via modal form.
 */
class EntityModalPostCreateEvent extends Event {
  const ENTITY_POST_CREATE = 'entityreference_modal_create_post_create_event';
  public function __construct($entity , $form , $form_state) {
    $this->entity = $entity;
    $this->form = $form;
    $this->form_state = $form_state;
    \Drupal::logger('entityreference_modal_create')->notice("Entity '" . $entity->id() . "' of type '".$entity->getEntityTypeId()."' has been created");
  }
}
